0% Interest for 24 Months! Learn more »
(800) 222-4700
  • Español: (800) 222-4701
Cart
January Clearance 2017

Sibelius & Lion

Sibelius6First

Avid has been testing Sibelius products under Lion, Apple’s latest OS X operating system. Here are the results so far; there may also be some online registration problems with certain versions. Use your web browser to register if this is the case.

  • Sibelius 7 — Fully compatible.

  • Sibelius 6 — Version 6.2 is required.
  • Sibelius 5 — Version 5 is not officially supported. However version 5.4 seems to work.
  • Sibelius 4 and earlier — not compatible.
  • Sibelius First — Version 5 & 6 of this program seem to be compatible.
  • Sibelius Student — Version 5 and 6 of this program seem to be compatible.
  • Scorch — Runs correctly in Firefox 5 under 32-bit mode. Other browsers are not working.
  • G7 — Not compatible.
  • Auralia — Version 4 of this program is compatible. Earlier versions are not compatible.
  • Musition — Version 4 of this program is compatible. Earlier versions are not compatible.
  • Groovy Music series — Not compatible.

For complete, ongoing Lion Compatibility information, visit our SweetCare Lion page.

Share this Article